PUT /api/me/callback-url¶
Setup callback url. When
speak apiis finished, it will be called byPOSTmethod. The content type will beapplication/json.
Request¶
Headers¶
Parameters¶
None
Body as JSON Object¶
key |
description |
|---|---|
|
an url to receive the |
Example with cURL
curl --request PUT \
--url https://typecast.ai/api/me/callback-url \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $API_TOKEN" \
--data '{
"callback_url": "https://your.host.com/if-you-want-to-get-callback"
}'
Response¶
Status Code¶
status code |
value |
|---|---|
401 |
|
400 |
JSON Object that represents error. how error looks. |
200 |
JSON Object that has |
result consists of followings¶
key |
description |
|---|---|
|
an url that you requested. |
Example
{
"result": {
"callback_url": "https://your.host.com/if-you-want-to-get-callback"
}
}
error_codes in 400 response¶
error_code |
description |
|---|---|
|
when |
|
|
Example
{
"message": {
"msg": "need callback_url argument",
"error_code": "app/param/not-enough/callback_url"
}
}